package com.zipcodewilmington.productmanager;
import org.junit.Assert;
import org.junit.Test;

/**
 * Created by leon on 1/10/18.
 */
public class ProductTest {

    @Test
    public void testProduct() {
        //Given
        Product product1 = new Product(10.99, 2332, 2, "chips");
        int expectedID = 2332;
        String expectedName = "chips";
        int expectedQuant = 2;
        double expectedPrice = 10.99;


        //When
        int actualID = product1.getID();
        int actualQuant = product1.getQuantity();
        double actualPrice = product1.getPrice();
        String actualName = product1.getName();

        //Then
        Assert.assertEquals(actualQuant, expectedQuant);
        Assert.assertEquals(actualPrice, expectedPrice, .01);
        Assert.assertEquals(actualName, expectedName);
        Assert.assertEquals(actualID, expectedID);
    }

    @Test
    public void testQuantity(){

        //Given
        Product product2 = new Product( 12.99, 3340, 4, "drinks");
        Product product3 = new Product( 13.99, 3342, 3, "food");
        Inventory inv = new Inventory();
        inv.addProduct(product2);
        inv.addProduct(product3);
        int expectedQuant = 7;




        //When
        int actualQuant = inv.getQuantity();


        //Then
        Assert.assertEquals(actualQuant, expectedQuant);


    }

    @Test

    public void testInventory(){
        //Given
        Product product4 = new Product(21.99, 2121, 6, "hot dogs");
        Product product5 = new Product(15.22, 2000, 3, "liquor");
        Inventory inv = new Inventory();
        inv.addProduct(product4);
        inv.addProduct(product5);

        double expectedPrice = 37.21;

        //When
        double actualPrice =inv.getPrice();


        //Then
        Assert.assertEquals(actualPrice, expectedPrice, .01);

    }

}